Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class Pellet

    java.lang.Object
      org.mindswap.pellet.Pellet

    public class Pellet

extends java.lang.Object

This is the command-line version of Pellet. It is provided as a stand-alone program and should not be directly used in applications.

Author:
  Evren Sirin

Field Summary
`static int` | `CLASS_NONE`
`static int` | `CLASS_RDF`
`static int` | `CLASS_RDF_ALL`
`static int` | `CLASS_TREE`
`static int` | `SPECIES_LEVEL`
`static int` | `SPECIES_OFF`
`static int` | `SPECIES_ON`

Constructor Summary
`Pellet()`

Method Summary
`java.lang.String` | `getTimeInfo()`
`static VersionInfo` | `getVersionInfo()`
`static void` | `main(java.lang.String[] args)`
`void` | `run()`
`void` | `setClassifyFile(java.lang.String file)`
`void` | `setClassifyFormat(int format)`
`void` | `setClassifyFormat(java.lang.String s)`
`void` | `setConclusionsFile(java.lang.String string)`
`void` | `setConclusionsFormat(java.lang.String string)`
`void` | `setConclusionsString(java.lang.String string)`
`void` | `setConsistency(boolean b)`
`void` | `setFormatHTML(boolean b)`
`void` | `setInFile(java.lang.String string)`
`void` | `setInFormat(java.lang.String string)`
`void` | `setInString(java.lang.String string)`
`void` | `setPrintTiming(boolean value)`
`void` | `setQueryFile(java.lang.String string)`
`void` | `setQueryFormat(java.lang.String format)`
`void` | `setQueryString(java.lang.String string)`
`void` | `setQuiet(boolean b)`
`void` | `setRealize(boolean b)`
`void` | `setSpecies(int i)`
`void` | `setTimeout(int i)`
`void` | `setUnsat(boolean b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPECIES_ON

    public static final int SPECIES_ON

See Also:
  Constant Field Values

### SPECIES_LEVEL

    public static final int SPECIES_LEVEL

See Also:
  Constant Field Values

### SPECIES_OFF

    public static final int SPECIES_OFF

See Also:
  Constant Field Values

### CLASS_NONE

    public static final int CLASS_NONE

See Also:
  Constant Field Values

### CLASS_TREE

    public static final int CLASS_TREE

See Also:
  Constant Field Values

### CLASS_RDF

    public static final int CLASS_RDF

See Also:
  Constant Field Values

### CLASS_RDF_ALL

    public static final int CLASS_RDF_ALL

See Also:
  Constant Field Values

Constructor Detail

### Pellet

    public Pellet()

Method Detail

### run

    public void run()

### getTimeInfo

    public java.lang.String getTimeInfo()

### setQueryFormat

    public void setQueryFormat(java.lang.String format)

### setClassifyFormat

    public void setClassifyFormat(int format)

  Parameters:
    `string` -

### setClassifyFormat

    public void setClassifyFormat(java.lang.String s)

### setClassifyFile

    public void setClassifyFile(java.lang.String file)

### setConclusionsFile

    public void setConclusionsFile(java.lang.String string)

  Parameters:
    `string` -

### setConclusionsFormat

    public void setConclusionsFormat(java.lang.String string)

  Parameters:
    `string` -

### setConclusionsString

    public void setConclusionsString(java.lang.String string)

  Parameters:
    `string` -

### setFormatHTML

    public void setFormatHTML(boolean b)

  Parameters:
    `b` -

### setInFile

    public void setInFile(java.lang.String string)

  Parameters:
    `string` -

### setInFormat

    public void setInFormat(java.lang.String string)

  Parameters:
    `string` -

### setInString

    public void setInString(java.lang.String string)

  Parameters:
    `string` -

### setPrintTiming

    public void setPrintTiming(boolean value)

### setQueryFile

    public void setQueryFile(java.lang.String string)

  Parameters:
    `string` -

### setQueryString

    public void setQueryString(java.lang.String string)

### setTimeout

    public void setTimeout(int i)

  Parameters:
    `i` -

### setSpecies

    public void setSpecies(int i)

  Parameters:
    `b` -

### setQuiet

    public void setQuiet(boolean b)

### setConsistency

    public void setConsistency(boolean b)

  Parameters:
    `b` -

### setRealize

    public void setRealize(boolean b)

  Parameters:
    `b` -

### setUnsat

    public void setUnsat(boolean b)

  Parameters:
    `b` -

### getVersionInfo

    public static VersionInfo getVersionInfo()

### main

    public static final void main(java.lang.String[] args)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.